Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class MissingMethodExecutionFailed

- org.codehaus.groovy.runtime.metaclass.MissingMethodExecutionFailed

-     public class MissingMethodExecutionFailed
      extends MissingMethodExceptionNoStack

  A stack less exception used to indicate, that the execution of a missingMethod method failed with a MissingMethodException. This is used to prevent a call to invokeMethod for GroovyObject implementing classes.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MissingMethodExecutionFailed(String method, Class type, Object[] arguments, boolean isStatic, Throwable cause)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Throwable` | `getCause()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MissingMethodExceptionNoStack` | `fillInStackTrace`
    `class MissingMethodException` | `getArguments, getMessage, getMethod, getType, isStatic`
    `class GroovyRuntimeException` | `getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`

- - ### Constructor Detail

    - #### public MissingMethodExecutionFailed(String method, Class type, Object[] arguments, boolean isStatic, Throwable cause)

  - ### Method Detail

    - #### @Override
      public Throwable getCause()